Bug 1050048 - (CVE-2017-11537) VUL-2: CVE-2017-11537: ImageMagick: Floating Point Exception in WritePALMImage() in coders/palm.c
(CVE-2017-11537)
VUL-2: CVE-2017-11537: ImageMagick: Floating Point Exception in WritePALMImag...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/189015/
CVSSv2:SUSE:CVE-2017-11537:5.0:(AV:N/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-24 07:05 UTC by Johannes Segitz
Modified: 2018-03-06 23:47 UTC (History)
3 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Reproducer (831.40 KB, image/x-pcx)
2017-07-24 07:05 UTC, Johannes Segitz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Segitz 2017-07-24 07:05:10 UTC
Created attachment 733426 [details]
Reproducer

CVE-2017-11537

When ImageMagick 7.0.6-1 processes a crafted file in convert, it can lead to a
Floating Point Exception (FPE) in the WritePALMImage() function in
coders/palm.c, related to an incorrect bits-per-pixel calculation.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-11537
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-11537
https://github.com/ImageMagick/ImageMagick/issues/560
Comment 1 Marcus Meissner 2017-09-27 15:29:54 UTC
controlled crash via FPE exception. can defer.
Comment 2 Petr Gajdos 2018-01-31 13:51:07 UTC
12/ImageMagick

$ convert FPE--0x7eff23c45e38_output_palm_1500208096.66 output.palm
Floating point exception (core dumped)
$

11/ImageMagick

$ convert FPE--0x7eff23c45e38_output_palm_1500208096.66 output.palm
Floating point exception (core dumped)
$

11/GraphicsMagick

$ gm convert FPE--0x7eff23c45e38_output_palm_1500208096.66 output.palm
$

42.3/GraphicsMagick

$ gm convert FPE--0x7eff23c45e38_output_palm_1500208096.66 output.palm
Depth 1
Depth 2
Depth 4
Depth 8
$

PATCH

https://github.com/ImageMagick/ImageMagick/commit/bac384563f557d1ac7413d2eaec00dd59c3cc29b

HG/GraphicsMagick: does not write PALM
11,42.3/GraphicsMagick: code is different

AFTER

12/ImageMagick

$ convert FPE--0x7eff23c45e38_output_palm_1500208096.66 output.palm
$

11/ImageMagick

$ convert FPE--0x7eff23c45e38_output_palm_1500208096.66 output.palm
$
Comment 3 Petr Gajdos 2018-01-31 13:51:32 UTC
Will submit for: 12/ImageMagick and 11/ImageMagick
Comment 4 Petr Gajdos 2018-02-02 09:31:04 UTC
I believe all fixed.
Comment 7 Swamp Workflow Management 2018-02-20 14:08:35 UTC
SUSE-SU-2018:0486-1: An update that fixes 24 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1042824,1048110,1049374,1049375,1050048,1050617,1050669,1052207,1052248,1052251,1052254,1052472,1052688,1052711,1052747,1052750,1052761,1055069,1055229,1058009,1074119,1076182,1078433
CVE References: CVE-2017-11166,CVE-2017-11448,CVE-2017-11450,CVE-2017-11537,CVE-2017-11637,CVE-2017-11638,CVE-2017-11642,CVE-2017-12418,CVE-2017-12427,CVE-2017-12429,CVE-2017-12432,CVE-2017-12566,CVE-2017-12654,CVE-2017-12664,CVE-2017-12665,CVE-2017-12668,CVE-2017-12674,CVE-2017-13058,CVE-2017-13131,CVE-2017-14224,CVE-2017-17885,CVE-2017-18028,CVE-2017-9407,CVE-2018-6405
Sources used:
SUSE Linux Enterprise Software Development Kit 11-SP4 (src):    ImageMagick-6.4.3.6-7.78.34.1
SUSE Linux Enterprise Server 11-SP4 (src):    ImageMagick-6.4.3.6-7.78.34.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    ImageMagick-6.4.3.6-7.78.34.1
Comment 8 Swamp Workflow Management 2018-03-01 20:15:33 UTC
SUSE-SU-2018:0581-1: An update that fixes 35 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1042824,1042911,1048110,1048272,1049374,1049375,1050048,1050119,1050122,1050126,1050132,1050617,1052207,1052248,1052251,1052254,1052472,1052688,1052711,1052747,1052750,1052754,1052761,1055069,1055229,1056768,1057163,1058009,1072898,1074119,1074170,1075821,1076182,1078433
CVE References: CVE-2017-11166,CVE-2017-11170,CVE-2017-11448,CVE-2017-11450,CVE-2017-11528,CVE-2017-11530,CVE-2017-11531,CVE-2017-11533,CVE-2017-11537,CVE-2017-11638,CVE-2017-11642,CVE-2017-12418,CVE-2017-12427,CVE-2017-12429,CVE-2017-12432,CVE-2017-12566,CVE-2017-12654,CVE-2017-12663,CVE-2017-12664,CVE-2017-12665,CVE-2017-12668,CVE-2017-12674,CVE-2017-13058,CVE-2017-13131,CVE-2017-14060,CVE-2017-14139,CVE-2017-14224,CVE-2017-17682,CVE-2017-17885,CVE-2017-17934,CVE-2017-18028,CVE-2017-9405,CVE-2017-9407,CVE-2018-5357,CVE-2018-6405
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP3 (src):    ImageMagick-6.8.8.1-71.42.1
SUSE Linux Enterprise Workstation Extension 12-SP2 (src):    ImageMagick-6.8.8.1-71.42.1
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    ImageMagick-6.8.8.1-71.42.1
SUSE Linux Enterprise Software Development Kit 12-SP2 (src):    ImageMagick-6.8.8.1-71.42.1
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    ImageMagick-6.8.8.1-71.42.1
SUSE Linux Enterprise Server 12-SP3 (src):    ImageMagick-6.8.8.1-71.42.1
SUSE Linux Enterprise Server 12-SP2 (src):    ImageMagick-6.8.8.1-71.42.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    ImageMagick-6.8.8.1-71.42.1
SUSE Linux Enterprise Desktop 12-SP2 (src):    ImageMagick-6.8.8.1-71.42.1
Comment 9 Andreas Stieger 2018-03-06 19:44:26 UTC
Releasing for Leap, showing as done otherwise
Comment 10 Swamp Workflow Management 2018-03-06 23:14:21 UTC
openSUSE-SU-2018:0621-1: An update that fixes 35 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1042824,1042911,1048110,1048272,1049374,1049375,1050048,1050119,1050122,1050126,1050132,1050617,1052207,1052248,1052251,1052254,1052472,1052688,1052711,1052747,1052750,1052754,1052761,1055069,1055229,1056768,1057163,1058009,1072898,1074119,1074170,1075821,1076182,1078433
CVE References: CVE-2017-11166,CVE-2017-11170,CVE-2017-11448,CVE-2017-11450,CVE-2017-11528,CVE-2017-11530,CVE-2017-11531,CVE-2017-11533,CVE-2017-11537,CVE-2017-11638,CVE-2017-11642,CVE-2017-12418,CVE-2017-12427,CVE-2017-12429,CVE-2017-12432,CVE-2017-12566,CVE-2017-12654,CVE-2017-12663,CVE-2017-12664,CVE-2017-12665,CVE-2017-12668,CVE-2017-12674,CVE-2017-13058,CVE-2017-13131,CVE-2017-14060,CVE-2017-14139,CVE-2017-14224,CVE-2017-17682,CVE-2017-17885,CVE-2017-17934,CVE-2017-18028,CVE-2017-9405,CVE-2017-9407,CVE-2018-5357,CVE-2018-6405
Sources used:
openSUSE Leap 42.3 (src):    ImageMagick-6.8.8.1-55.1